, Support | Malthe Winje Automation AB


Konvertera en HMI-fil för att fungera i en ny PG5-version

Om man har ett äldre PG5-projekt som man vill uppgradera till en nyare PG5-version och detta innehåller en HMI-fil behöver man hålla koll på några extra steg.

För att konvertera ett PG5 1.3-projekt till 1.4 gör så här:
När man öppnar och kompilerar ett 1.3 projekt i 1.4 som innehåller en HMI fil kan man få ett kompileringsfel.T.ex Fatal error: HMI library.För att åtgärda detta öppnar man HMI-filen i HMI editorn. Då får man en fråga om man vill uppgradera HMI-filen till senaste version. Här väljer man bara OK och filen uppdateras.Nu kan man kompilera sitt projekt i PG5 1.4 utan att det ska ge några kompileringsfel för HMI-filen.Gör en backup. Nu är projektet konverterat till PG5 1.4.

För att konvertera från PG5 1.4 till 2.0 gör så här:
Skapa en ny HMI-fil i projektet och öppna den. Under file/Import väljer man sin befintliga HMI-fil och importerar denna. Välj select All i dialogrutan som kommer upp.Spara och stäng. Nu kan man ta bort sin gamla HMI-fil och döpa om sin nya fil till samma namn som den gamla hade.Öppna den nya HMI-filen och kompilera. Ibland kan man få ett kompileringsfel men gå då in på fliken Internals och se om du har någon röd rad. Markera den och tryck på delete.Kompilera, spara och stäng HMI-editorn.Nu är HMI-filen konverterad så att det går att kompilera hela 2.0-projektet.Gör en backup. Nu är projektet konverterat till PG5 2.0.


 

Tel: 08-594 118 40

(vardagar kl. 8–16)


e-post
support@mwa.se


Bergkällavägen 34

192 79  SOLLENTUNA